Bug 838770 - drupal7 fails to initialize
drupal7 fails to initialize
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: drupal7 (Show other bugs)
17
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 00:21 EDT by Stefan Seefeld
Modified: 2013-06-16 04:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-16 04:40:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Seefeld 2012-07-10 00:21:56 EDT
Description of problem:

Trying to initialize a drupal7 instance fails with various warnings and errors.


Version-Release number of selected component (if applicable):

drupal7 7.14-2
php 5.4.4-1

Steps to Reproduce:
1. Start setting up a drupal7-based website by visiting 'localhost/drupal7'
2. Follow the usual default steps
3. 
  
Actual results:

A variety of warnings and errors are raised. For example:

"Warning: Illegal string offset 'field' in UpdateQuery_sqlite->removeFieldsInCondition() (line 75 of /usr/share/drupal7/includes/database/sqlite/query.inc)."

and somewhat later:

"PDOException: SQLSTATE[HY000]: General error: 1 no such table: watchdog: INSERT INTO {watchdog} (..."





Expected results:

The installation should go smoothly without errors or warnings.


Additional info:

(I'm using an sqlite backend for a quick website prototype.)
Comment 1 Peter Borsa 2012-07-10 02:35:52 EDT
Hello Stefan,

it's a known issue, http://drupal.org/node/1542186. I think a possible workaround, if you use PHP 5.3.x.
Comment 2 Peter Borsa 2013-03-15 03:08:48 EDT
Hello Stefan,

as I can see it's fixed[1][2] in the next release, hopefully it will be released soon. I will close this issue when it's released.

Thank you!

1: http://drupalcode.org/project/drupal.git/commit/bfaa7b4
2: http://drupal.org/node/1266572
Comment 3 Peter Borsa 2013-06-16 04:40:28 EDT
Hello Stefan,

sorry for the delayed reply but I have a good news for you that you might know as well.

- "Fixed a bug with update queries in the SQLite database driver that prevented Drupal from being installed with SQLite on PHP 5.4."

- "#1266572 by znerol, joshf: Fixed Workaround in UpdateQuery_sqlite() for affected rows count causes certain updates to be suppressed."

https://drupal.org/drupal-7.22-release-notes

Anyway, thanks for reporting this bug!

Note You need to log in before you can comment on or make changes to this bug.